%global gem_name polyglot


Summary:        Allow hooking of language loaders for specified extensions into require
Name:           rubygem-%{gem_name}
Version:        0.3.3
Release:        3%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://polyglot.rubyforge.org
Source0:        http://rubygems.org/gems/%{gem_name}-%{version}.gem
%if 0%{?rhel} <= 5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif
Requires:       ruby(release)
Requires:       ruby(rubygems)
BuildRequires:  ruby(release)
BuildRequires: rubygems-devel
BuildRequires:  rubygem(minitest)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
This Ruby GEM allows custom language loaders for specified file extensions
to be hooked into require.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build


%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
# No tests anymore :(

%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/License.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile


%changelog
* Thu Feb 28 2013 Vít Ondruch <vondruch@redhat.com> - 0.3.3-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 26 2012 Vít Ondruch <vondruch@redhat.com> - 0.3.3-1
- Update to Polyglot 0.3.3.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 19 2012 Vít Ondruch <vondruch@redhat.com> - 0.3.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.3.1-1
- Updated to the latest upstream version.
- Tests enabled.
- Documentation moved into separate package.
- Remove unnecessary Hoe runtime dependency.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.2.5-3
- Get rid of duplicate files

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.2.5-2
- Bring tests back
- Depend on ruby(abi)
- Replace defines with globals
- Don't delete the world-writable file, fix permissions instead

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.2.5-1
- Package generated by gem2rpm
- Remove log directory
- Don't ship tests
- Fix up License
